Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.auth
Class AuthorityExporter

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseExporterModule
          com.jaspersoft.jasperserver.export.modules.auth.AuthorityExporter

All Implemented Interfaces:
  ExporterModule

    public class AuthorityExporter

extends BaseExporterModule

Version:
  $Id: AuthorityExporter.java 9458 2007-08-10 14:30:48Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.export.modules.BaseExporterModule
`characterEncoding, commandOut, executionContext, exportContext, exportEverything, exportParams, output`

Constructor Summary
`AuthorityExporter()`

Method Summary
`protected void` | `addIndexElement(Role role)`
`protected void` | `addIndexElement(User user)`
`protected void` | `addRole(Role role)`
`protected void` | `addRole(java.lang.String name)`
`protected void` | `addRoleUsers(Role role)`
`protected void` | `addUser(java.lang.String userName)`
`protected void` | `export(User user)`
`protected void` | `exportRole(Role role)`
`protected void` | `exportRoles()`
`protected void` | `exportUsers()`
`AuthorityModuleConfiguration` | `getConfiguration()`
`java.lang.String` | `getIncludeRoleUsersArgument()`
`protected Role` | `getRole(java.lang.String name)`
`protected java.lang.String` | `getRoleFile(Role role)`
`java.lang.String` | `getRolesArgument()`
`protected User` | `getUser(java.lang.String userName)`
`protected java.lang.String` | `getUserFile(User user)`
`java.lang.String` | `getUsersArgument()`
`protected boolean` | `hasRoles()`
`protected boolean` | `hasUsers()`
`void` | `init(ExporterModuleContext moduleContext)`
`protected void` | `initRoles()`
`protected void` | `initUsers()`
`protected boolean` | `isToProcess()`
`void` | `process()`
`void` | `setConfiguration(AuthorityModuleConfiguration configuration)`
`void` | `setIncludeRoleUsersArgument(java.lang.String includeRoleUserArgument)`
`void` | `setRolesArgument(java.lang.String rolesArgument)`
`void` | `setUsersArgument(java.lang.String usersArgument)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.BaseExporterModule
`getEverythingArg, getFileOutput, getId, getIndexElement, getParameterValue, getParameterValues, hasParameter, isExportEverything, mkdir, mkdir, serialize, setEverythingArg, setId, toProcess, writeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorityExporter

    public AuthorityExporter()

Method Detail

### getIncludeRoleUsersArgument

    public java.lang.String getIncludeRoleUsersArgument()

### setIncludeRoleUsersArgument

    public void setIncludeRoleUsersArgument(java.lang.String includeRoleUserArgument)

### getRolesArgument

    public java.lang.String getRolesArgument()

### setRolesArgument

    public void setRolesArgument(java.lang.String rolesArgument)

### getUsersArgument

    public java.lang.String getUsersArgument()

### setUsersArgument

    public void setUsersArgument(java.lang.String usersArgument)

### getConfiguration

    public AuthorityModuleConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(AuthorityModuleConfiguration configuration)

### init

    public void init(ExporterModuleContext moduleContext)

  Specified by:
    `init` in interface `ExporterModule`
  Overrides:
    `init` in class `BaseExporterModule`

### initUsers

    protected void initUsers()

### addUser

    protected void addUser(java.lang.String userName)

### getUser

    protected User getUser(java.lang.String userName)

### initRoles

    protected void initRoles()

### addRole

    protected void addRole(Role role)

### addRole

    protected void addRole(java.lang.String name)

### getRole

    protected Role getRole(java.lang.String name)

### addRoleUsers

    protected void addRoleUsers(Role role)

### hasUsers

    protected boolean hasUsers()

### hasRoles

    protected boolean hasRoles()

### isToProcess

    protected boolean isToProcess()

  Specified by:
    `isToProcess` in class `BaseExporterModule`

### process

    public void process()

### exportRoles

    protected void exportRoles()

### exportRole

    protected void exportRole(Role role)

### addIndexElement

    protected void addIndexElement(Role role)

### exportUsers

    protected void exportUsers()

### export

    protected void export(User user)

### addIndexElement

    protected void addIndexElement(User user)

### getUserFile

    protected java.lang.String getUserFile(User user)

### getRoleFile

    protected java.lang.String getRoleFile(Role role)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.